KIO::RenameDlg class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KIO::RenameDlg Class Reference

A dialog for the options to rename two files

Since:
  3.1.

More...

`#include <renamedlg.h>`

Inheritance diagram for KIO::RenameDlg:

[legend]
Collaboration diagram for KIO::RenameDlg:

[legend]
List of all members.

## Public Slots
void | b0Pressed ()
void | b1Pressed ()
void | b2Pressed ()
void | b3Pressed ()
void | b4Pressed ()
void | b5Pressed ()
void | b6Pressed ()
void | b7Pressed ()
void | b8Pressed ()
## Public Member Functions
| RenameDlg (QWidget *parent, const QString &caption, const QString &src, const QString &dest, RenameDlg_Mode mode, KIO::filesize_t sizeSrc=(KIO::filesize_t)-1, KIO::filesize_t sizeDest=(KIO::filesize_t)-1, time_t ctimeSrc=(time_t)-1, time_t ctimeDest=(time_t)-1, time_t mtimeSrc=(time_t)-1, time_t mtimeDest=(time_t)-1, bool modal=FALSE)
| Construct a "rename" dialog.
KURL | newDestURL ()
## Protected Slots
void | enableRenameButton (const QString &)

## Detailed Description

A dialog for the options to rename two files

Since:
  3.1.

Definition at line 43 of file renamedlg.h.

## Constructor & Destructor Documentation

KIO::RenameDlg::RenameDlg | ( | QWidget * | parent,
|  | const QString & | caption,
|  | const QString & | src,
|  | const QString & | dest,
|  | RenameDlg_Mode | mode,
|  | KIO::filesize_t | sizeSrc = (KIO::filesize_t)-1,
|  | KIO::filesize_t | sizeDest = (KIO::filesize_t)-1,
|  | time_t | ctimeSrc = (time_t)-1,
|  | time_t | ctimeDest = (time_t)-1,
|  | time_t | mtimeSrc = (time_t)-1,
|  | time_t | mtimeDest = (time_t)-1,
|  | bool | modal = FALSE
| ) |

  | Construct a "rename" dialog. Parameters:
  parent | parent widget (often 0)
  caption | the caption for the dialog box
  src | the url to the file/dir we're trying to copy, as it's part of the text message
  dest | the path to destination file/dir, i.e. the one that already exists
  mode | parameters for the dialog (which buttons to show...),
  See also: RenameDlg_Mode The following parameters bring optionnal information about `src` and `dest` Parameters:
  sizeSrc | size of source file
  sizeDest | size of destination file
  ctimeSrc | creation time of source file
  ctimeDest | creation time of destination file
  mtimeSrc | modification time of source file
  mtimeDest | modification time of destination file
  modal | set to true for a modal dialog

## Member Function Documentation

KURL KIO::RenameDlg::newDestURL | ( |  | ) |

| Returns: the new destination valid only if RENAME was chosen

The documentation for this class was generated from the following file:

- renamedlg.h

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:26:02 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001